El gestor de actualizaciones no funciona - Ubuntu 11.04

Imagen de MilagrosL
0 puntos

Hola,
han pasado dos años desde que empecé aquí, y aún no entiendo al gestor de actualizaciones,
me dice que hace 57 no se actualizan los paquetes, qué hacer?
intenté en la terminal con sudo apt-get upgrade, sudo apt-get update...

y luego,

Synaptic me dice esto:

Error de GPG: http://download.opensuse.org Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY DF077CFAE6FCF974Imposible obtener http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/natty/main... 404 Not Found
Imposible obtener http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/natty/main... 404 Not Found
Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

El gestor de actualizaciones me dice esto:

W:GPG error: http://download.opensuse.org Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY DF077CFAE6FCF974, W:Failed to fetch http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/natty/main... 404 Not Found
, W:Failed to fetch http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/natty/main... 404 Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

Me ayudan, por favor?
Gracias

Milagros L

Imagen de Goyo
+1
0
-1

Error de GPG: http://download.opensuse.org Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY DF077CFAE6FCF974

Significa que no tienes la clave para comprobar la firma de los paquetes que están en ese repositorio de openuse. En el sitio donde estén las instrucciones para agregar el repositorio deberían estar también las instrucciones para añadir la clave.

Imposible obtener http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/natty/main/source/Sources 404 Not Found
Imposible obtener http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/natty/main/binary-i386/Packages 404 Not Found
Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

Significa que no hay paquetes para natty en ese repositorio.
Supongo que sabes que el soporte para natty acabó hace unos días.

+1
0
-1
Imagen de MilagrosL
+1
0
-1

Hola,
gracias por responder, la verdad es que pensé que natty tendría varios años de soporte, yo solo instalo versiones LTS, pensando justamente en eso,
y ahora... ¿cómo actualizo de 11.04 a 12.04 sin perder nada?
será desde la terminal o necesito descargar el .iso y grabar la imagen en un disco?
gracias!

+1
0
-1

Milagros

Imagen de maminyana
+1
0
-1

El sistema 11.04 está ya desactualizado, es hora de cambiar de versión. Pásate a la versión 12.04 que tiene soporte hasta 2015. O bien instálate la última 12.10.

+1
0
-1
Imagen de MilagrosL
+1
0
-1

Hola,
me ayudaría mucho que me explicaras cómo hacer la actualización sin perder nada en el camino,
gracias

(el gestor de actualizaciones no me muestra esa actualización)

+1
0
-1

Milagros

Imagen de jechevers
+1
0
-1

Saludos MilagrosL,, espero estes bien,, ok,, dentro de el Gestor de Actualizaciones esta la opción de actualización,, con esta opción podrás actualizar tu sistema si problemas de cambios en tus archivos, puede que alunos aplicativos ya no los soporten y otro si ,, en la actualización o más bien en el proceso se te hira dando mensaje de estas.. También se puede poder en el terminal apt-get upgrade que igual te actualiza la versión actual que tienes ...

Saludos,,,

+1
0
-1

Ing.Juan de Dios Echevers II
Analista de Sistemas y Comunicaciones
analisis.redes@aol.com

Imagen de MilagrosL
+1
0
-1

Hola,
gracias por responder, pero no funciona con Apt-get upgrade, ni con el gestor de actualizaciones, el gestor me da la opción de actualizar, pero en el segundo item de la lista se detiene, dice que hay un error de red, que vuelva a intentarlo, ya le di dos veces, y no me funciona.
saludos

+1
0
-1

Milagros

Imagen de jechevers
+1
0
-1

Saludos maminyana,, espero estes bien,, ok,, dentro de el Gestor de Actualizaciones esta la opción de actualización,, con esta opción podrás actualizar tu sistema si problemas de cambios en tus archivos, puede que alunos aplicativos ya no los soporten y otro si ,, en la actualización o más bien en el proceso se te hira dando mensaje de estas.. También se puede poder en el terminal apt-get upgrade que igual te actualiza la versión actual que tienes ...

Saludos,,,

+1
0
-1

Ing.Juan de Dios Echevers II
Analista de Sistemas y Comunicaciones
analisis.redes@aol.com

Imagen de Gabriel_M
+1
0
-1

.... /etc/apt/sources.list:

sudo su
nano /etc/apt/sources.list

Borra el contenido del archivo y pega este:

deb http://archive.ubuntu.com/ubuntu quantal universe
deb http://archive.ubuntu.com/ubuntu quantal multiverse
deb http://archive.canonical.com/ubuntu quantal partner
deb http://extras.ubuntu.com/ubuntu quantal main
deb http://security.ubuntu.com/ubuntu/ quantal-security restricted main multiverse universe
deb http://archive.ubuntu.com/ubuntu quantal-updates restricted main multiverse universe
deb http://archive.ubuntu.com/ubuntu quantal-proposed restricted main multiverse universe
deb http://archive.ubuntu.com/ubuntu quantal-backports restricted main multiverse universe

Guarda el archivo (Control +O)
Cierra nano (control +X)
Continua ejecutando en la misma terminal:

apt-get update
apt-get dist-upgrade
dpkg --configure -a
apt-get upgrade
apt-get install -f
reboot

Si todo funciona bien al reinicio, abre una terminal y ejecuta

sudo su
apt-get autoremove
apt-get clean
+1
0
-1
Imagen de MilagrosL
+1
0
-1

Seguí las indicaciones que me has puesto y ahora que reinicié me sale esto:
No se ha podido calcular la actualización

Ha ocurrido un problema imposible de corregir cuando se calculaba la actualización.

Por favor, informe de esto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:
'E:Error, pkgProblemResolver::Resolve generó cortes, esto puede haber sido causado por paquetes retenidos.'

¿qué hago ahora?

+1
0
-1

Milagros

Imagen de Gabriel_M
+1
0
-1

... en modo de recuperación, opción netroot y ejecuta:

apt-get update
apt-get dist-upgrade
dpkg --configure -a
apt-get upgrade
apt-get install -f
reboot
+1
0
-1